
// Check to see if the current document is a feed delivered as plain text,
// which Chrome does for some mime types, or a feed wrapped in an html.
dClient = window.dClient;
(function(self) {
  self.isFeedDocument = function() {
    var body = document.body;

    console.log("Checking if document is feed");

    var soleTagInBody = "";
    if (body && body.childElementCount == 1) {
      soleTagInBody = body.children[0].tagName;
    }

    // Some feeds show up as feed tags within the BODY tag, for example some
    // ComputerWorld feeds. We cannot check for this at document_start since
    // the body tag hasn't been defined at that time (contains only HTML element
    // with no children).
    if (soleTagInBody == "RSS" || soleTagInBody == "FEED" ||
        soleTagInBody == "RDF") {
      console.log("Found feed: Tag is: " + soleTagInBody);
      vAPI.sendMessage({feed: location.href});
      return true;
    }

    // Chrome renders some content types like application/rss+xml and
    // application/atom+xml as text/plain, resulting in a body tag with one
    // PRE child containing the XML. So, we attempt to parse it as XML and look
    // for RSS tags within.
    if (soleTagInBody == "PRE") {
      console.log("Found feed: Wrapped in PRE");
      var domParser = new DOMParser();
      var doc = domParser.parseFromString(body.textContent, "text/xml");

      // |doc| now contains the parsed document within the PRE tag.
      if (self.containsFeed(doc)) {
        // Let the extension know that we should show the subscribe page.
        vAPI.sendMessage({feed: location.href});
        return true;
      }
    }
    return false;
  }
  self.isFeedDocument();
})(dClient);
